/// <reference types="node" />
/// <reference types="glob" />
import { ChildProcess } from 'child_process';
import { ExecOptions, ExecOutputReturnValue } from 'shelljs';
import { IOptions } from 'glob';
export interface ExecReturnValue extends ExecOutputReturnValue {
    stdout: string;
    stderr: string;
}
declare const internDev: any;
export { internDev };
declare const tsconfig: any;
declare const buildDir: string;
export { buildDir, tsconfig };
export interface FilePattern {
    base: string;
    pattern: string;
}
export declare function compile(tsconfig: string, watch?: boolean): ExecOutputReturnValue | ChildProcess;
export declare function copyAll(patterns: (string | FilePattern)[], outDir: string): void;
export declare function exec(command: string, options?: ExecOptions): ExecReturnValue;
export declare function fixSourceMaps(): void;
export declare function getConfigs(): string[];
export declare function getResources(): any;
export declare function glob(pattern: string, options?: IOptions): string[];
export declare function lint(tsconfigFile: string): ExecReturnValue;
export declare function log(...args: any[]): void;
export declare function parseJson(text: string): any;
export declare function readJsonFile(filename: string): any;
export declare function stylus(files: string[], watch?: boolean): ExecReturnValue | ChildProcess;
export declare function webpack(config: string, watch?: boolean): ExecReturnValue | ChildProcess;
export declare class ExecError extends Error {
    code: number;
    stdout: string;
    stderr: string;
    constructor(command: string, code: number, stdout: string, stderr: string);
}
