#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var shelljs_1 = require("shelljs");
var path_1 = require("path");
var common_1 = require("./common");
common_1.getConfigs().forEach(function (configFile) {
    var config = common_1.readJsonFile(configFile);
    var outDir = config.compilerOptions && config.compilerOptions.outDir;
    if (outDir) {
        outDir = path_1.relative(process.cwd(), path_1.join(path_1.dirname(configFile), outDir));
        common_1.log("Removing " + outDir);
        shelljs_1.rm('-rf', outDir);
    }
});
common_1.log('Done cleaning');
