#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("./common");
var path_1 = require("path");
var chalk_1 = require("chalk");
common_1.glob('**/tsconfig.json').forEach(function (tsconfig) {
    common_1.log("Linting " + path_1.dirname(tsconfig));
    try {
        common_1.lint(tsconfig);
    }
    catch (error) {
        if (error.name === 'ExecError') {
            common_1.log(chalk_1.red(error.stdout));
            process.exitCode = error.code;
        }
        else {
            throw error;
        }
    }
});
common_1.log('Done linting');
