#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = require("path");
var common_1 = require("./common");
var modes = {
    all: function () {
        run('client');
        run('runner');
    },
    node: function () {
        run('client');
    },
    webdriver: function () {
        run('runner');
    }
};
var args = process.argv.slice(2);
var mode = 'node';
var config = 'tests/intern.js';
function run(runner) {
    var command = ["intern-" + runner].concat(args);
    if (!args.some(function (arg) { return arg.indexOf('config=') === 0; })) {
        command.push('config=' + path_1.join(common_1.buildDir, config));
    }
    common_1.log('Running tests');
    try {
        common_1.exec("" + command.join(' '), { silent: false });
    }
    catch (error) {
        if (error.name === 'ExecError') {
            process.exitCode = 1;
        }
        else {
            throw error;
        }
    }
    common_1.log('Done testing');
}
if (common_1.internDev && common_1.internDev.testConfig) {
    config = common_1.internDev.testConfig;
}
if (args[0] in modes) {
    mode = args.shift();
}
modes[mode]();
